<?php
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);

include 'inclydings/header.php';
include_once("inclydings/antixak.php");
include_once("inclydings/ini.php");
include 'inclydings/sesi.php';
$self=$_POST['self'];
$self = htmlspecialchars($self);

header ("Location: chat.php?$sd");
$__timer = true;
$__timer_['time'] = 1;
$__timer_['timer_go'] = 'chat.php?'.$sd;
$self=htmlspecialchars($self);
$self=str_replace("|","",$self);

$_title = 'Чат';


$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));

/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$ban=trim($udata[36]);}
////////////////////////////////////////////////////////

if (isset($user)) {
if($log=="CooL"){

$google_bot=$_SERVER['REMOTE_ADDR'];
session_register("google_bot");
}

if(isset($_SESSION['google_bot'])){
echo"Вы не можете писать в чате.";

include_once"inclydings/down.php"; exit; }

if(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){ $ip = $_SERVER['HTTP_X_FORWARDED_FOR']; }else{$ip=$_SERVER['REMOTE_ADDR'];}
$ip=htmlspecialchars(stripslashes($ip));
if(!empty($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])){$brow=$_SERVER['HTTP_X_OPERAMINI_PHONE_UA'];}elseif(!empty($_SERVER['HTTP_X_OPERAMINI_PHONE'])){
$brow=$_SERVER['HTTP_X_OPERAMINI_PHONE'];}else{
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));}
$brow=strtok($brow,'/');

if("http://Anonymouse.org/ (Unix)"==getenv('HTTP_USER_AGENT')){

echo"Извините, но с прокси писать запрещено.<br/><br/>Если это сообщение вам выдало по непонятной причине, напишите на ник Storm браузер с которого
вы заходите.";
echo "</p></card></wml>";
exit;
}


if($brow==getenv('HTTP_USER_AGENT')){
if($ip!==$_SERVER['REMOTE_ADDR']){
echo"Извините, но с прокси писать запрещено.<br/><br/>Если это сообщение вам выдало по непонятной причине, напишите на ник Storm браузер с которого
вы заходите.";
echo "</p></card></wml>";
exit;
}
}

if($udata[9]<"10"){echo"В чате нельзя писать до 10 уровня."; include_once"inclydings/down.php"; exit;}

$ipone=explode(".",$ip);

$iptwo="$ipone[0].$ipone[1].$ipone[2]";

$ban="$ipone[0].$ipone[1]";

$file=file("L2dbnam/esql2db/ban.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data = explode("||",$file[$i]);

if($data[2]==$log){
$time=time()-86400;
if($data[1]>$time){echo"
Вы забанены.<br/>
Срок: 24 часа<br/>
За сообщение: $data[4]<br/>
Причина: $data[3]<br/>
Ник забаненого игрока: $data[2]<br/>
IP нарушителя: $data[0]<br/><br/>

Если вы считаете что бан не справедлив. То свяжитесь с администрацией.
</small>"; echo "</p></card></wml>"; exit; }
}}
$brow=str_replace("|","",$brow);
$ip=str_replace("|","",$ip);
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);


require_once "inclydings/flood.php";
if (CheckIP ()){ echo"<b>[Guard Plamens]</b><br/>Уважаемый $log пожалуйста не флуди, а то мне придется тебя наказать. Сообщение можно писать 1 раз в 30 секунд."; echo "</p></card></wml>"; exit;}

$date=date("d.m.y");
$time=date("H:i:s");

require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}

$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?)( .ru|org|net|info|com|game-l2.ru з|l2wap.ru з|l2full.ru з|game-l2 .ru з)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\[[:alnum:]_=/-]+)*(/[[:alnum:]+&_=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?)( .ru|org|net|info|com|game-l2.ru з|l2wap.ru з|l2full.ru з|game-l2 .ru з)", "Реклама запрещена", $msg);

$msg=addslashes($msg);
$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
//////////////////////////////////
if(empty($msg)){echo"<b>Вы не ввели сообщение!</b>";echo "</p></card></wml>"; exit; }
if ($msg == "" || strlen($msg) > 500 || strlen($msg) < 3) { echo"Сообщение длинное или короткое!"; echo "</p></card></wml>"; exit;}

$msg=str_replace("%)","<img src=\"pik4erspic/smiles/cvety.gif\" alt=\"%)\"/>",$msg);
$msg=str_replace(";)","<img src=\"pik4erspic/smiles/girl11.gif\" alt=\";)\"/>",$msg);
$msg=str_replace("8D","<img src=\"pik4erspic/smiles/girl5.gif\" alt=\"8D\"/>",$msg);
$msg=str_replace("0:-)","<img src=\"pik4erspic/smiles/aa.gif\" alt=\"0:-)\"/>",$msg);
$msg=str_replace(":-)","<img src=\"pik4erspic/smiles/ab.gif\" alt=\":-)\"/>",$msg);
$msg=str_replace(":-(","<img src=\"pik4erspic/smiles/ac.gif\" alt=\":-(\"/>",$msg);
$msg=str_replace(";-)","<img src=\"pik4erspic/smiles/ad.gif\" alt=\";-)\"/>",$msg);
$msg=str_replace("8-)","<img src=\"pik4erspic/smiles/af.gif\" alt=\"8-)\"/>",$msg);
$msg=str_replace(":-[","<img src=\"pik4erspic/smiles/ah.gif\" alt=\":-[\"/>",$msg);
$msg=str_replace("=-0","<img src=\"pik4erspic/smiles/ai.gif\" alt=\"=-0\"/>",$msg);
$msg=str_replace(":-*","<img src=\"pik4erspic/smiles/aj.gif\" alt=\":-*\"/>",$msg);
$msg=str_replace(":'(","<img src=\"pik4erspic/smiles/ak.gif\" alt=\":'(\"/>",$msg);
$msg=str_replace(":-|","<img src=\"pik4erspic/smiles/an.gif\" alt=\":-|\"/>",$msg);
$msg=str_replace(":-\\","<img src=\"pik4erspic/smiles/ao.gif\" alt=\":-\\\"/>",$msg);
$msg=str_replace("]:-}","<img src=\"pik4erspic/smiles/ar.gif\" alt=\"]:-}\"/>",$msg);
$msg=str_replace(":-!","<img src=\"pik4erspic/smiles/at.gif\" alt=\":-!\"/>",$msg);
$msg=str_replace(":)=","<img src=\"pik4erspic/smiles/bomz.gif\" alt=\":)=\"/>",$msg);
$msg=str_replace(":(=","<img src=\"pik4erspic/smiles/atata.gif\" alt=\":(=\"/>",$msg);
$msg=str_replace("@=","<img src=\"pik4erspic/smiles/bb.gif\" alt=\"@=\"/>",$msg);
$msg=str_replace(":-@","<img src=\"pik4erspic/smiles/baby.gif\" alt=\":-@\"/>",$msg);
$msg=str_replace(":8)","<img src=\"pik4erspic/smiles/censored.gif\" alt=\":8)\"/>",$msg);
$msg=str_replace(":9)","<img src=\"pik4erspic/smiles/fig.gif\" alt=\":9)\"/>",$msg);
$msg=str_replace(":10)","<img src=\"pik4erspic/smiles/fuck.gif\" alt=\":10)\"/>",$msg);
$msg=str_replace(":11)","<img src=\"pik4erspic/smiles/preved.gif\" alt=\":11)\"/>",$msg);
$msg=str_replace(":12)","<img src=\"pik4erspic/smiles/spam.gif\" alt=\":12)\"/>",$msg);
$msg=str_replace(":13)","<img src=\"pik4erspic/smiles/yo.gif\" alt=\":13)\"/>",$msg);
$msg=str_replace("(:-","<img src=\"pik4erspic/smiles/alkawi.gif\" alt=\"(:-\"/>",$msg);
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($elita)==1){
$msg="<font color=red><b>$msg</b></font>";}
$text="($time)<br/>$msg#$log#$brow#$ip#$name#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}

echo"Сообщение <b>$msg</b> добавлено";
echo"<br/><a href=\"chat.php?$sd\">Продолжить</a>";


}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include 'inclydings/down.php';
?>
